> ## Documentation Index
> Fetch the complete documentation index at: https://api.fineshare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Train Model

> Uploads user data for fast model training.



## OpenAPI

````yaml POST /api/userfasttrainmodel
openapi: 3.0.1
info:
  title: Train Model
  version: 1.0.0
servers:
  - url: https://models.fineshare.com
    description: Models
security: []
paths:
  /api/userfasttrainmodel:
    post:
      summary: User Fast Train Model
      description: Uploads user data for fast model training.
      operationId: userFastTrainModel
      parameters:
        - name: name
          in: query
          required: true
          description: The name of the user.
          schema:
            type: string
        - name: languageCode
          in: query
          required: true
          description: The language code (e.g., 'en', 'zh').
          schema:
            type: string
        - name: gender
          in: query
          required: true
          description: The gender of the user (e.g., 'male', 'female').
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: Authorization token.
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                audioFile:
                  type: string
                  format: binary
                  description: The audio file to upload.
                imageFile:
                  type: string
                  format: binary
                  description: The image file to upload.
              required:
                - audioFile
                - imageFile
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Model training started successfully.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid input.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authorization required.

````